## python3.8 3.8.0

=== debian/changelog ===
python3.8 (3.8.0-3ubuntu1~18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Regular Expression Denial of Service
    - debian/patches/CVE-2020-8492.patch: updates a regular expression in the 
      urllib.request.AbsatrctBasicAuthHandler class which allows for 
      catastrophic backtracking and could result in a Denial of Service 
      condition.
    - CVE-2020-8492 
  * SECURITY UPDATE: Regular Expression Denial of Service
    - debian/patches/CVE-2021-3733.patch: updates a regular expression in the 
      urllib.request.AbstractBasicAuthHandler class which has a quadratic
      worst-case time complexity and could be abused by a malicious HTTP
      server to cause a Denial of Service condition for a client.
    - CVE-2021-3733 
  * SECURITY UPDATE: Denial of Service
    - debian/patches/CVE-2021-3737.patch: addresses the potential for the
      urllib http client to enter into an infinite loop and hang on a 100
      Continue response from a malicious server.
    - debian/patches/CVE-2021-3737_test-fix.patch: improves the regression
      test in Lib/test/test_httplib.py
    - CVE-2021-3737

 -- Ian Constantin <ian.constantin@canonical.com>  Thu, 09 Dec 2021 12:53:27 -0500

python3.8 (3.8.0-3~18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Code execution from content received via HTTP
    - debian/patches/CVE-2020-27619.patch: no longer call eval() on
      content received via HTTP in Lib/test/multibytecodec_support.py.
    - CVE-2020-27619
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2021-3177.patch: replace snprintf with Python unicode
      formatting in ctypes param reprs in Lib/ctypes/test/test_parameters.py,
      Modules/_ctypes/callproc.c.
    - CVE-2021-3177

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Thu, 25 Feb 2021 22:10:10 +0000

python3.8 (3.8.0-3~18.04) bionic-proposed; urgency=medium

  * SRU: LP: #1835737. Backport the final Python 3.8.0 release.
  * Don't build the -doc package, outdated sphinx version in bionic.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Oct 2019 17:14:01 +0100

python3.8 (3.8.0-3) unstable; urgency=medium

  * python3.8-dev: Depend on zlib1g-dev, needed to link as an
    embedded interpreter.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Oct 2019 17:36:55 +0200

python3.8 (3.8.0-2) unstable; urgency=medium

  * Fix a symlink to the shared debug library.
  * Install the python3.8d-embed pkg-config file.
  * Don't ship the python3-embed pkg-config file.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Oct 2019 18:00:25 +0200

python3.8 (3.8.0-1) unstable; urgency=medium

  * Python 3.8.0 release.

 -- Matthias Klose <doko@debian.org>  Tue, 15 Oct 2019 11:10:20 +0200

python3.8 (3.8.0~rc1-3) unstable; urgency=medium

  * Apply proposed patch for issue 38368. LP: #1847036. Addresses: #941650.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Oct 2019 11:06:01 +0200

python3.8 (3.8.0~rc1-2) unstable; urgency=medium

  * Python 3.8.0 release candidate 1.
  * Refresh patches.
  * Update symbols files.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Oct 2019 05:45:03 +0200

python3.8 (3.8.0~b4-1) unstable; urgency=medium

  * Python 3.8.0 beta 4 release.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Aug 2019 16:07:24 +0200

python3.8 (3.8.0~b3-1) unstable; urgency=medium

  * Python 3.8.0 beta 3 release.
  * Fix FTCBFS: (Helmut Grohne). Closes: #932077.
    + Build-Depends, when cross compiling we need python3.8.
    + Export CC, because dtrace needs it.
    + Honour DEB_BUILD_OPTIONS=nocheck more thoroughly.
    + Fix up sysconfigdata-name.diff.
  * Implement the native thread ids for the Hurd and KFreeBSD (Samuel
    Thibault). Closes: #931624.
  * Enable pgo/lto builds on arm64. Addresses: #934812.
  * Update symbols files.
  * Don't propagate lto flags to the _sysconfigdata module. Addresses: #934771.
  * d/patches/issue35998.diff: Disable TLS1.3 in the client on all platforms
    rather than just reducing the payload size (Michael Hudson-Doyle).

 -- Matthias Klose <doko@debian.org>  Wed, 21 Aug 2019 17:32:52 +0200

python3.8 (3.8.0~b2-5) unstable; urgency=high

  * Bump standards version.
  * Revert the KFreeBSD and Hurd fix for PyThread_get_thread_native_id,
    and use the implementation from Python3.7.  Mark the symbol as linux only.
  * Don't encode the MACHDEP into the _sysconfigdata file name.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Jul 2019 11:55:03 +0200

python3.8 (3.8.0~b2-4) unstable; urgency=medium

  * Fix the LTO build.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Jul 2019 14:23:41 +0200

python3.8 (3.8.0~b2-3) unstable; urgency=medium

  * Define PY_HAVE_THREAD_NATIVE_ID for KFreeBSD and Hurd builds.
  * Fix issue #37504, building the texinfo docs (Dmitry Shachnev).
  * Enable LTO/PGO builds on some architectures.

 -- Matthias Klose <doko@debian.org>  Sat, 06 Jul 2019 12:00:08 +0200

python3.8 (3.8.0~b2-1) experimental; urgency=medium

  * Python 3.8.0 beta 2 release.
  * Refresh patches.
  * Update the symbols files.
  * Don't build the texinfo documentation, fails. See issue #37504.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Jul 2019 11:20:35 +0200

python3.8 (3.8.0~b1-2) experimental; urgency=medium

  * Fix include links in python3.8-dbg.

 -- Matthias Klose <doko@debian.org>  Mon, 17 Jun 2019 11:41:06 +0200

python3.8 (3.8.0~b1-1) experimental; urgency=medium

  * Python 3.8.0 beta 1 release.
  * Refresh patches.
  * Add new importlib dependencies to python3-minimal.
  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Wed, 05 Jun 2019 11:23:02 +0200

python3.8 (3.8.0~a4-3) experimental; urgency=medium

  * Update symbols files.

 -- Matthias Klose <doko@debian.org>  Wed, 15 May 2019 00:30:25 +0200

python3.8 (3.8.0~a4-2) experimental; urgency=medium

  * Update to 20190514 from the trunk.
  * Fix interpreter name in the -dbg autopkg tests.
  * Enable dtrace/USDT probe support (--with-dtrace) and build-dep on

