=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: python3.8
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11),
   quilt, autoconf,
   lsb-release, sharutils,
-  libreadline-dev, libncursesw5-dev (>= 5.3), 
+  libreadline-dev, libncursesw5-dev (>= 5.3), g++-8,
   zlib1g-dev, libbz2-dev, liblzma-dev,
   libgdbm-dev, libdb-dev,
   tk-dev, blt-dev (>= 2.4z), libssl-dev,
@@ -13,11 +14,12 @@
   libbluetooth-dev [linux-any] <!pkg.python3.8.nobluetooth>,
   locales-all,
   libsqlite3-dev, libffi-dev (>= 3.0.5) [!or1k !avr32],
-  libgpm2 [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
-  mime-support, netbase, bzip2, time, python3:any,
-  net-tools, xvfb, xauth
-Build-Depends-Indep: python3-sphinx, python3-docs-theme, texinfo
-Standards-Version: 4.3.0
+  libgpm2 [linux-any],
+  mime-support, netbase, bzip2, time, python3:any, python3.8:any <cross>,
+  net-tools, xvfb <!nocheck>, xauth <!nocheck>,
+  systemtap-sdt-dev
+Build-Depends-Indep: texinfo
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/cpython-team/python3
 Vcs-Git: https://salsa.debian.org/cpython-team/python3.git
 XS-Testsuite: autopkgtest
@@ -89,7 +91,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libpython3.8-stdlib
-Conflicts: binfmt-support (<< 1.1.2)
+Breaks: libpython3.8-stdlib (<< 3.8.0~b1-1~)
+Conflicts: binfmt-support (<< 1.1.2), libpython3.8-stdlib (<< 3.8.0~b1-1~)
 Description: Minimal subset of the Python language (version 3.8)
  This package contains some essential modules. It is normally not
  used on it's own, but as a dependency of python3.8-minimal.
@@ -119,7 +122,11 @@
 Package: python3.8-dev
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.8 (= ${binary:Version}), libpython3.8-dev (= ${binary:Version}), libpython3.8 (= ${binary:Version}), libexpat1-dev, ${shlibs:Depends}, ${misc:Depends}
+Depends: python3.8 (= ${binary:Version}),
+  libpython3.8-dev (= ${binary:Version}),
+  libpython3.8 (= ${binary:Version}),
+  libexpat1-dev, zlib1g-dev,
+  ${shlibs:Depends}, ${misc:Depends}
 Recommends: libc6-dev | libc-dev
 Description: Header files and a static library for Python (v3.8)
  Header files, a static library and development tools for building
