## python3.8 3.8.2~rc1

=== debian/changelog ===
python3.8 (3.8.2~rc1-1) unstable; urgency=medium

  * Python 3.8.2 release candidate 1.
  * Make autopkgtests cross-test-friendly (Steve Langasek).
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Feb 2020 16:26:48 +0100

python3.8 (3.8.1-2) unstable; urgency=medium

  * Fix KFreeBSD builds (James Cowgill).

 -- Matthias Klose <doko@debian.org>  Mon, 06 Jan 2020 09:48:53 +0100

python3.8 (3.8.1-1) unstable; urgency=medium

  * Python 3.8.1 release.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Dec 2019 10:21:09 +0100

python3.8 (3.8.1~rc1-1) unstable; urgency=medium

  * Python 3.8.1 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Dec 2019 10:38:12 +0100

python3.8 (3.8.0-5) unstable; urgency=medium

  * Update to 20191123 from the 3.8 branch.
  * libpython3.8-dbg: Provide a python-$(VER)-dbg-embed.pc pkg-config file.
    Closes: #944852.

 -- Matthias Klose <doko@debian.org>  Sat, 23 Nov 2019 05:55:55 +0100

python3.8 (3.8.0-4) unstable; urgency=medium

  * Move the test/ann_module{,2,3} modules into libpython-stdlib.
    Closes: #944303.
  * Annote python-examples dependency on python.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Nov 2019 16:14:28 +0100
