=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: python3.8
 Section: python
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11),
   quilt, autoconf,
   lsb-release, sharutils,
-  libreadline-dev, libncursesw5-dev (>= 5.3), g++-8,
+  libreadline-dev, libncursesw5-dev (>= 5.3), 
   zlib1g-dev, libbz2-dev, liblzma-dev,
   libgdbm-dev, libdb-dev,
   tk-dev, blt-dev (>= 2.4z), libssl-dev,
@@ -18,8 +17,8 @@
   mime-support, netbase, bzip2, time, python3:any, python3.8:any <cross>,
   net-tools, xvfb <!nocheck>, xauth <!nocheck>,
   systemtap-sdt-dev
-Build-Depends-Indep: texinfo
-Standards-Version: 4.4.1
+Build-Depends-Indep: python3-sphinx, python3-docs-theme, texinfo
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/cpython-team/python3
 Vcs-Git: https://salsa.debian.org/cpython-team/python3.git
 XS-Testsuite: autopkgtest
@@ -60,6 +59,8 @@
 Multi-Arch: same
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: libpython3.8-testsuite (<< 3.8.0-4)
+Replaces: libpython3.8-testsuite (<< 3.8.0-4)
 Depends: libpython3.8-minimal (= ${binary:Version}), mime-support, ${shlibs:Depends}, ${misc:Depends}
 Description: Interactive high-level object-oriented language (standard library, version 3.8)
  Python is a high-level, interactive, object-oriented language. Its 3.8 version
@@ -114,7 +115,7 @@
 
 Package: python3.8-examples
 Architecture: all
-Depends: python3.8 (>= ${source:Version}), ${misc:Depends}
+Depends: python3.8:any (>= ${source:Version}), ${misc:Depends}
 Description: Examples for the Python language (v3.8)
  Examples, Demos and Tools for Python (v3.8). These are files included in
  the upstream Python distribution (v3.8).
